## org.plovr.docgen
Class EnumValueDescriptor

    java.lang.Object
      org.plovr.docgen.EnumValueDescriptor

All Implemented Interfaces:
  Descriptor

    public class EnumValueDescriptor

extends Object
implements Descriptor

Field Summary
`static Function<EnumValueDescriptor,SoyData>` `TO_SOY_DATA`

Constructor Summary
`EnumValueDescriptor(String name, String description)`

Method Summary
`String` `getDescription()`
`String` `getName()`
`SoyMapData` `toSoyData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TO_SOY_DATA

    public static final Function<EnumValueDescriptor,SoyData> TO_SOY_DATA

Constructor Detail

### EnumValueDescriptor

    public EnumValueDescriptor(String name,
                               String description)

Method Detail

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Descriptor`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Descriptor`

### toSoyData

    public SoyMapData toSoyData()

  Specified by:
    `toSoyData` in interface `Descriptor`